// keys.js - figure out what set of credentials to return
// NODE_ENV - variável do Heroku que informa que estamos em production. o Heroku configura esta variável
console.log ("Ambiente de produção ou desenvolvimento: " + process.env.NODE_ENV);
if (process.env.NODE_ENV === "production") {
  // we are in production - return the production set of keys
  module.exports = require ("./prod");
} else {
  // we are in development - return the dev keys
  module.exports = require("./dev");
}
