var express = require("express");
const mongoose = require ("mongoose");
var router = express.Router();
const keys = require("../config/keys");
require("../models/User");
const passport = require("../services/passport");
require("../services/databases");

mongoose.connect(keys.mongoURI);

require("./authRoutes")(router);
require("./mapRoutes")(router);
require("./consumerRoutes")(router);
require("./reactMap")(router);

/* GET home page. */
router.get("/", function(req, res, next) {
  res.render("index", { title: "NEXUS" });
});

module.exports = router;
