# GeoSanWeb

## Instalação NodeJs

    apt-get install nodejs
   
ou 
   
    pkg install nodejs
    
### Atualização NodeJs

Para atualizar o nodejs para última versão:

    npm install -g n latest

## Monitoramento de modificações no código

Para instalar e poder rodar o monitoramento das modificações no código fonte rode

    npm install -g nodemon

## Instalação aplicação para gerenciar chaves públicas e privadas

Instale as ferramentas para configurar as chaves pública e privada

    apt-get install putty-tools

Suas chaves devem ser colocadas na pasta *~/.ssh*, caso não consiga visualizar no navegador pressione *CTRL-H*

Para converter sua chave privada do Windows para o Linux entre com o comando:

    puttygen nome_da_chave_privada.ppk -O private-openssh -o novo_nome_chave_privada_linux

## Cópia do repositório

Para clonar o repositório entre com o comando:

    git clone http://softwarepublico.gov.br/gitlab/gsan/geosanweb.git

## Instalação do GeoSanWeb

Vá para a pasta:

    cd ~/Desenv/geosanweb/client
    
Rode a instalação do cliente

    npm install

Vá para a pasta:

    cd ~/Desenv/geosanweb

Rode a instalação

    npm install
    
## Para rodar o GeoSanWeb

    npm run dev

