// Here are all mapping routes
//
const keys = require("../config/keys");
module.exports = router => {
    // bounding coordinates to view the map
    var boundSW = [-23.6506647239914, -46.5848434588656]; // lat, long
    var boundNE = [-23.5992830936269, -46.5447524538661];

    router.get("/map/:nome", function(req, res, next) {
    var numeroConsumidor = require("../src/findConsumerNumber");
    var coordenadas = require("../src/findCoordinatesFromConsumer");
    var retorno = numeroConsumidor(req.params.nome, function(numero, nome, err) {
        if (err === undefined) {
        console.log("Found consumer: " + numero + " Nome: " + nome);
        var codigoComNome = numero + " - " + nome;
        var retorno = coordenadas(numero, function(x, y) {
            console.log("Found coordinates x: " + x + " y: " + y);
            res.render("map", {
                codigo: numero,
                consumidor: codigoComNome,
                fator_zoom: 23,
                title: "NEXUS",
                lat: y,
                lng: x,
                bndSW: boundSW,
                bndNE: boundNE,
                geoserverWMS: keys.geoserverWMS,
                waterLayers: keys.waterLayers,
            });
        });
        }
    });
    });

    router.get(keys.server + "/ponto", function(req, res) {
    var coord = {};
    console.log("Postou: ");
    });
};