// Create global connections with SQLServer (comercial) and Postgres (mapping)
//
var ms_sql = require("mssql");
var pg = require("pg");
const keys = require("../config/keys");
const util = require("util");

// Conexão com Postgres
pg.defaults.poolSize = 25;

// Creates global pool connection with Postgres and MS SqlServer
global.poolPg = new pg.Pool(keys.pg);
global.poolPg.connect(function(err, client, done){
  if(err){
    console.error("Error connectin to Postgres Server"+ err.stack);
  } else {
    console.log("Connection estabilished with Postgres Server");
  }
})
global.poolMsql = new ms_sql.ConnectionPool(keys.msql, function(err) {
  if (err) {
    console.log("Não conectou com SQLServer:\n" + err);
    console.error("String conexão: " + util.inspect(keys.msql));
  } else{
    console.log("Connection estabilished with SQLServer\n");
  }
});