var findAllConsumers = function(callback, err) {
  var qrySql =
    "select COD_DAE, COD_DAE + 9000000 as novo_cod_dae, NOME from cadastro";
  poolMsql.request().query(qrySql, function(err, recordsets) {
    var pre_query = new Date().getTime();
    if (err || recordsets.recordset.length === 0) {
      console.log("Não realizou a querie: \n" + err);
      return callback(null, err);
    } else {
      var post_query = new Date().getTime();
      var duration = (post_query - pre_query) / 1000;
      console.log("Tempo para executar a querie: " + duration);
      var allConsumers = [];
      recordsets.recordset.forEach(element => {
        var valueToPush = {};
        valueToPush.label = element.NOME + " - " + element.novo_cod_dae;
        valueToPush.value = "" + element.novo_cod_dae;
        allConsumers.push(valueToPush);
      });
      post_query = new Date().getTime();
      duration = (post_query - pre_query) / 1000;
      console.log("Tempo total para querie e criar vetor: " + duration);
      return callback(allConsumers, undefined);
    }
  });
};

module.exports = findAllConsumers;
